qtserialport-opensource-src (5.15.12-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:54:19 +0000

qtserialport-opensource-src (5.15.12-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.12.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Dec 2023 17:13:10 +0300

qtserialport-opensource-src (5.15.10-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jul 2023 10:03:46 +0300

qtserialport-opensource-src (5.15.10-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.10.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 10 Jun 2023 23:08:24 +0300

qtserialport-opensource-src (5.15.9-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.9.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 22 Apr 2023 23:32:20 +0300

qtserialport-opensource-src (5.15.8-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Jan 2023 12:02:08 +0400

qtserialport-opensource-src (5.15.8-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.8.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 07 Jan 2023 17:10:09 +0400

qtserialport-opensource-src (5.15.7-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 18:20:31 +0300

qtserialport-opensource-src (5.15.7-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.7.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 04 Dec 2022 20:39:38 +0300

qtserialport-opensource-src (5.15.6-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 11:55:49 +0300

qtserialport-opensource-src (5.15.6-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.6.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Sep 2022 13:21:27 +0300

qtserialport-opensource-src (5.15.5-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.5.
  * Use symver directive to catch all private symbols at once.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 27 Jul 2022 00:03:46 +0300

qtserialport-opensource-src (5.15.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jun 2022 21:36:51 +0300

qtserialport-opensource-src (5.15.4-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.4.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 May 2022 12:56:56 +0300

qtserialport-opensource-src (5.15.3-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch.
  * Bump Qt build-dependencies to 5.15.3.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 05 Mar 2022 22:02:33 +0300

qtserialport-opensource-src (5.15.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:32:20 +0300

qtserialport-opensource-src (5.15.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.2.
  * Build-depend only on the needed documentation tools, not on the
    large qttools5-dev-tools package.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 22 Nov 2020 15:30:12 +0300

qtserialport-opensource-src (5.15.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2020 21:54:10 +0300

qtserialport-opensource-src (5.15.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.1.
  * Bump years in debian/copyright.
  * Use ${DEB_HOST_MULTIARCH} substitution in the install files.
  * Add Qt_5.15 version tag to debian/libqt5serialport5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 19 Sep 2020 16:20:48 +0300

qtserialport-opensource-src (5.14.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2020 11:52:04 +0300

qtserialport-opensource-src (5.14.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.2.
  * Update to debhelper compat level 13.
    - Drop dh_missing override, no longer needed.
  * Remove build path from libQt5SerialPort.prl for reproducibility.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 07 May 2020 20:19:39 +0300

qtserialport-opensource-src (5.14.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Update debian/libqt5serialport5-dev with new file.
  * Update symbols files with current build log (previous did not have any
    changes).
  * Update Standards-Version to 4.5.0. No changes required.
  * Switch to debehelper compat 12, depending upon debhelper-compat and
    removing debian/compat.
  * Use Rules-Requires-Root: no.
  * Make the libqt5serialport5-dev dependency upon qtbase5-dev optional with
    qtbase5-gles-dev, see #949028.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 11 Mar 2020 16:06:05 -0300

qtserialport-opensource-src (5.12.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.5.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 21 Oct 2019 11:14:41 +0300

qtserialport-opensource-src (5.12.4-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.4.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 28 Jun 2019 20:47:55 +0300

qtserialport-opensource-src (5.12.3-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Update packaging to use doc-base as per policy 9.10.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.12.3.
  * Simplify debian/rules by using debian/not-installed file.
  * Add Build-Depends-Package field to debian/libqt5serialport5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 07 May 2019 14:32:04 +0300

qtserialport-opensource-src (5.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.2.
  * Update Homepage URL.
  * Add Qt_5.12 version tag to libqt5serialport5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Mar 2019 21:00:21 +0300

qtserialport-opensource-src (5.11.3-2) unstable; urgency=medium

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Dec 2018 17:02:46 -0300

qtserialport-opensource-src (5.11.3-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 14 Dec 2018 10:43:42 -0300

qtserialport-opensource-src (5.11.2-2) unstable; urgency=medium

  * Update debian/copyright.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 16 Oct 2018 20:42:35 +0300

qtserialport-opensource-src (5.11.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.2.1, no changes needed.
  * Bump Qt build dependencies to 5.11.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 07 Oct 2018 19:31:55 -0500

qtserialport-opensource-src (5.11.1-2) unstable; urgency=medium

  * Upload to Sid.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 25 Jul 2018 04:49:32 -0500

qtserialport-opensource-src (5.11.1-1) experimental; urgency=medium

  * Add my name to Uploaders.
  * New upstream release.
  * Bump Standards-version to 4.1.4, no changes needed.
  * Remove ~ from debhelper dependency.
  * Bump build dependencies to 5.11.1.
  * Remove the dbgsym migration section of debian/rules; it isn't needed
    anymore.
  * Fix insecure-copyright-format-uri.
  * Update symbols from amd64 build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 30 Jun 2018 15:54:03 -0500

qtserialport-opensource-src (5.10.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Apr 2018 20:13:51 -0300

qtserialport-opensource-src (5.10.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Support the nodoc build profile.
  * Update Standards-Version to 4.1.3, no changes required.
  * Switch to debhelper compat 11.
  * Switch Vcs-[Git Browser] to salsa.debian.org.
  * Minor update in debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 14 Mar 2018 10:52:42 -0300

qtserialport-opensource-src (5.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch for the new upstream tarball names.
  * Drop no longer needed compiler flags exports in debian/rules.
  * Bump Qt build-dependencies to 5.10.0.
  * Add Qt_5.10 symbol to debian/libqt5serialport5.symbols.
  * Bump Standards-Version to 4.1.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 15 Dec 2017 12:44:30 +0300

qtserialport-opensource-src (5.9.2-2) unstable; urgency=medium

  * Let dh_auto_configure pass cross tools to qmake (Closes: #881852).
    Thanks Helmut Grohne for the patch.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 03 Dec 2017 13:27:32 -0300

qtserialport-opensource-src (5.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.9.2.
  * Use debhelper compat level 10 and dh_missing.
  * Stop using deprecated Priority: extra.
  * Bump Standards-Version to 4.1.1.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 27 Oct 2017 21:24:56 +0300

qtserialport-opensource-src (5.9.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 16 Aug 2017 14:15:12 -0300

qtserialport-opensource-src (5.9.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.9.1.
  * Bump Standards-Version to 4.0.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 07 Jul 2017 16:01:54 +0300

qtserialport-opensource-src (5.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.9.0.
  * Update debian/libqt5serialport5.symbols for 5.9.0.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 11 Jun 2017 22:45:15 +0300

qtserialport-opensource-src (5.7.1~20161021-2) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Nov 2016 10:27:46 -0300

qtserialport-opensource-src (5.7.1~20161021-1) experimental; urgency=medium

  * New upstream snapshot.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Oct 2016 17:42:47 -0300

qtserialport-opensource-src (5.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Bump Qt build-dependencies to 5.7.0.
  * Migrate to automatic dbgsym packages.
  * Drop old unneeded hack for pkgconfig files.
  * Add Qt_5.7 version tag to libqt5serialport5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 12 Sep 2016 12:54:39 +0300

qtserialport-opensource-src (5.6.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 13 Jun 2016 11:12:37 -0300

qtserialport-opensource-src (5.6.1-1) experimental; urgency=medium

  [ Timo Jyrinki ]
  * Use https repo URLs.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Add qt5serialport-examples, as now we have them.
  * Simple update in debian/copyright.
  * Remove the private mark of two symbols, we are not currently marking them.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 12 Jun 2016 10:47:22 -0300

qtserialport-opensource-src (5.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump build dependencies to 5.6.0.
  * Bump Standards-Version to 3.9.7, no changes.
  * Migrate symbols to new node names.

 -- Timo Jyrinki <timo@debian.org>  Wed, 06 Apr 2016 12:55:54 +0300

qtserialport-opensource-src (5.5.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 21 Oct 2015 21:42:07 -0300

qtserialport-opensource-src (5.5.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Update symbols files with current build log. Missing symbol is
    private method.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 19 Oct 2015 13:11:23 -0300

qtserialport-opensource-src (5.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.5.0.
  * Update debian/libqt5serialport5-dev.install.
  * Update debian/libqt5serialport5.symbols.
  * Update debian/copyright.
  * Build-depend on qtbase5-private-dev, qtbase5-dev is not enough.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 29 Aug 2015 14:56:57 +0300

qtserialport-opensource-src (5.4.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 24 Jun 2015 18:17:11 -0300

qtserialport-opensource-src (5.4.2-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Update Source URL, as gitorious is closing.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Clear up the list in Uploaders removing people who hasn't committed to the
    repo in more than a year. They can re add themselves whenever they want
    (and we really hope to see you back really soon!).
  * Expose HTML documentation (Closes: #751183).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 03 Jun 2015 18:20:57 -0300

qtserialport-opensource-src (5.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.4.1.
  * Update debian/watch to use https://download.qt.io/.
  * Update debian/libqt5serialport5.symbols.
  * Simplify debian/qtserialport5-doc-html.install.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 04 Mar 2015 20:40:52 +0300

qtserialport-opensource-src (5.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Update build-dependencies for Qt 5.4.0.
  * Build-depend on qtbase5-doc-html, for docs linking.
  * Update debian/copyright.
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update qtserialport5-doc-html.install.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 27 Dec 2014 14:43:12 +0300

qtserialport-opensource-src (5.3.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 22 Sep 2014 23:57:39 -0300

qtserialport-opensource-src (5.3.2-1) experimental; urgency=medium

  * New upstream release.
  * Update build-dependencies for Qt 5.3.2.
  * Update debian/qtserialport5-doc-html.install.
  * Remove unneeded blocks from debian/rules.
  * Update Vcs-Browser field to point to cgit interface.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 18 Sep 2014 12:21:54 +0400

qtserialport-opensource-src (5.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.
  * Remove initialize_dataTerminalReady_and_requestToSend.patch, applied
    upstream.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Jul 2014 12:17:49 -0300

qtserialport-opensource-src (5.3.0-3) unstable; urgency=medium

  * Backport initialize_dataTerminalReady_and_requestToSend.patch to solve
    opening serial ports which do not implement RTS and DTR (Closes: #751799).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 17 Jun 2014 00:09:21 -0300

qtserialport-opensource-src (5.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 06 Jun 2014 15:59:06 -0300

qtserialport-opensource-src (5.3.0-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies.
  * Update for Multi-Arch headers location, mark libqt5serialport5-dev as
    Multi-Arch: same.
  * Update qtserialport5-doc-html.install for removed qlockfile documentation.
  * Add one new symbol to libqt5serialport5.symbols.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 25 May 2014 12:35:39 -0300

qtserialport-opensource-src (5.2.1-2) unstable; urgency=medium

  * Release to unstable.
  * Really bump all Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 24 Mar 2014 22:17:52 -0300

qtserialport-opensource-src (5.2.1-1) experimental; urgency=medium

  * New upstream release.
  * No symbols changes since last build.
  * Bump Qt build dependencies.
  * Update doc's install files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 14 Feb 2014 12:19:51 -0300

qtserialport-opensource-src (5.2.0-4) unstable; urgency=medium

  * Revert the previous addition of libudev-dev, this seems a bug which should
    be solved.
  * Move mkspec files to their new location.
    - B-D on qtbase5-private-dev 5.2.0+dfsg-7 which changed the location.
  * Update Standards-Version to 3.9.5, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 31 Jan 2014 15:59:49 -0300

qtserialport-opensource-src (5.2.0-3) experimental; urgency=medium

  * Make libqt5serialport5-dev depend on libudev-dev [linux-any], required for
    linking by the .pri files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 21 Dec 2013 11:41:40 -0300

qtserialport-opensource-src (5.2.0-2) experimental; urgency=medium

  [ Pino Toscano ]
  * Limit the libudev-dev build dependency to Linux architectures only.
  * Remove the Pre-Depends on dpkg >= 1.15.6~, since that version is available
    in Squeeze already.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 21 Dec 2013 11:09:53 -0300

qtserialport-opensource-src (5.2.0-1) experimental; urgency=low

  * New upstream release.
  * Bump Qt build dependencies.
  * Add libudev-dev as build dependency.
  * Adjust install files.
  * Remove new private stuff we are not shipping.
  * Update symbols file with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 13 Dec 2013 12:40:35 -0300

qtserialport-opensource-src (5.1.1-1) unstable; urgency=low

  * New upstream release.
  * Tighten Qt 5 build dependencies.
  * Simplify a little libqt5serialport5.install.
  * Do not harcode the version of the package in the line that removes the
    private headers.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 03 Sep 2013 09:40:48 -0300

qtserialport-opensource-src (5.1.0-1) unstable; urgency=low

  * Initial release. (Closes: #697509)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 24 Aug 2013 14:48:16 -0300
